## org.biojava.ontology
Interface Variable

All Superinterfaces:
  Annotatable, Changeable, Term

All Known Implementing Classes:
  Variable.Impl

    public interface Variable

extends Term

Author:
  Matthew Pocock

Nested Class Summary
`static class` `Variable.Impl`

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.ontology.Term
`ONTOLOGY`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary

Methods inherited from interface org.biojava.ontology.Term
`addSynonym, getDescription, getName, getOntology, getSynonyms, removeSynonym, setDescription`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`